# Uses of Class
javax.management.remote.NotificationResult

Packages that use NotificationResult
Package
Description
javax.management.remote.rmi
The RMI connector is a connector for the JMX Remote API that uses RMI to transmit client requests to a remote MBean server.

## Uses of NotificationResult in javax.management.remote.rmi

Methods in javax.management.remote.rmi that return NotificationResult
Modifier and Type
Method
Description
`NotificationResult`
RMIConnection.`fetchNotifications(long clientSequenceNumber, int maxNotifications, long timeout)`
Retrieves notifications from the connector server.
`NotificationResult`
RMIConnectionImpl_Stub.`fetchNotifications(long $param_long_1, int $param_int_2, long $param_long_3)`
`NotificationResult`
RMIConnectionImpl.`fetchNotifications(long clientSequenceNumber, int maxNotifications, long timeout)`